Cannot Find External Application: lsphpxx Error

Sometimes you may experience the following error after installation:

2015-06-23 14:29:56.297	ERROR	[config:scripthandler] Can not find handler with type: 12, name: lsphpxx.
2015-06-23 14:29:56.297	ERROR	[config:scripthandler] Can not find External Application: lsphpxx, type: lsapi
2015-06-23 14:29:56.297	ERROR	[config:scripthandler] use static file handler for suffix [phpxx]

It simply means that no lsphpxx external application has been set up yet. You should create an external app lsphpxx and point a relevant binary to it.

In a cPanel EA4 Environment

Most likely you won't see such an error since most of the PHP handlers have been preconfigured. If on some occasion a newer version of PHP, such as lsphp72, is not included in the LSWS configuration, you can manually create an lsphp72 external app and point it to the ea-php72-lsphp binary, or the CL php72 binary when CloudLinux is used.

In an Old cPanel EA3 Environment

In a cPanel EA3 environment, LiteSpeed normally builds matching PHP for 5.4.x. most likely, hence no lsphp55 or newer is installed.

The message itself is absolutely safe to be ignored. If you just like to get rid of the error, you can do either of the following:

  • Install lsphp55 and point the /usr/local/lsws/fcgi-bin/lsphp55 to the newly installed binary.
  • Simply remove the lsphp55 handler.
  • Use any exiting PHP handler as lsphp55, for example:
    ln -sf /usr/local/lsws/fcgi-bin/lsphp5 /usr/local/lsws/fcgi-bin/lsphp55

    This creates a symbolic link to use lsphp5 as the lsphp55 handler. Even though it can remove the error alert, it is not recommended because faked lsphp55 may create a misunderstanding in the future.

 
litespeed_wiki/config/cannot_find_lsphp55.txt · Last modified: 2018/07/20 15:38 by Lisa Clarke